=== debian/changelog ===
ia32-libs-gtk (20140131) squeeze-proposed-updates; urgency=low

  * Packages updated

  [ pixman (0.16.4-1+deb6u1) squeeze-security; urgency=high ]

  * pixman_trapezoid_valid(): Fix underflow when bottom is close to MIN_INT
    Addresses CVE-2013-6425

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 31 Jan 2014 11:18:31 +0100

ia32-libs-gtk (20130924) squeeze-proposed-updates; urgency=low

  * Packages updated

  [ dbus-glib (0.88-2.1+squeeze1) stable; urgency=low ]

  * Apply patch from upstream 0.100.1 to fix insufficient checking
    leading to authentication bypass in pam_fprintd (CVE-2013-0292)
    (#700638)

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 24 Sep 2013 08:29:13 +0200
