=== debian/control ===
Source: ia32-libs-gtk
Section: libs
Priority: optional
Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>, Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>, Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>> 7.0.0), libc6-i386 (>= 2.3.6-2) [amd64], lib32z1 [amd64], lib32stdc++6 [amd64], lib32asound2 [amd64], lib32ncurses5 [amd64], lib32v4l-0 [amd64], ia32-libs-core [ia64], ia32-libs (>=  20100914)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-ia32-libs/ia32-libs-gtk.git
Vcs-Git: git://git.debian.org/git/pkg-ia32-libs/ia32-libs-gtk.git

Package: ia32-libs-gtk
Architecture: amd64 ia64
Pre-Depends: libc6-i386 (>= 2.9-18) [amd64]
Depends: ia32-libs (>= 20090711), ${shlibs:Depends}, ${misc:Depends}
Replaces: ia32-libs (<< 20100905)
Conflicts: ia32-libs (<< 20100905), ia32-abi
Provides: ia32-libs-static
Description: GTK+ ia32 shared libraries
 This package delivers a set of pre-compiled ia32 (i386 family) shared
 libraries, so that third-party 32bit programs can use the GTK+ widgets on 
 64-bit systems that include appropriate emulation support.
