## ia32-libs-gtk 20150804

=== debian/changelog ===
ia32-libs-gtk (20150804) squeeze-lts; urgency=low

  * Packages updated

  [ cairo (1.8.10-6+build1) squeeze-lts; urgency=medium ]

  * Rebuild against libx11-dev fixed for CVE-2013-7439.

  [ libwmf (0.2.8.4-6.2+deb6u2) squeeze-lts; urgency=medium ]

  * Non-maintainer upload by the Debian LTS team.
  * Add patch to fix CVE-2015-4695: meta_pen_create heap buffer overflow
    Thanks to Fernando Muñoz <fernando@null-life.com>. #784205
  * Add patch to fix CVE-2015-4696: wmf2gd/wmf2eps use after free
    Thanks to Caolán McNamara <caolanm@redhat.com> for the patch.
    #784192

  [ libwmf (0.2.8.4-6.2+deb6u1) squeeze-lts; urgency=medium ]

  * CVE-2015-4588: Add RLE Decoding check
    Fix taken from Redhat BZ
        https://bugzilla.redhat.com/show_bug.cgi?id=1227243
  * CVE-2015-0848: Only DecodeImage if pixel is one byte
    Fix taken from Redhat BZ
        https://bugzilla.redhat.com/show_bug.cgi?id=1227243
    #787644

  [ qt4-x11 (4:4.6.3-4+squeeze3) squeeze-lts; urgency=high ]

  * Non-maintainer upload by the Debian LTS team.
  * Add CVE-2014-0254.patch prepared by Salvatore Bonaccorso. Squeeze LTS
    does not support kfreebsd so the side effect on those architectures
    can be safely ignored.
  * This update includes fixes for multiple security issues:
    - CVE-2014-0254: information leak through world-readable shared memory
      segments
    - CVE-2015-0295 and CVE-2015-1858: denial of service through crafted BMP file
    - CVE-2015-1859: denial of service through crafted ICO file
    - CVE-2015-1860: denial of service through crafted GIF file
    #779550, #783133

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 04 Aug 2015 10:19:55 +0200

ia32-libs-gtk (20150413) squeeze-lts; urgency=low

  * Packages updated

  [ jasper (1.900.1-7+squeeze4) squeeze-lts; urgency=high ]

  * Non-maintainer upload by the Squeeze LTS Team.
  * Add 07-CVE-2014-8157.patch patch.
    CVE-2014-8157: dec->numtiles off-by-one check in jpc_dec_process_sot().
    (#775970)
  * Add 08-CVE-2014-8158.patch patch.
    CVE-2014-8158: unrestricted stack memory use in jpc_qmfb.c (#775970)

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 13 Apr 2015 18:44:37 +0200

ia32-libs-gtk (20150116) squeeze-lts; urgency=low

  * Packages updated

  [ jasper (1.900.1-7+squeeze3) squeeze-lts; urgency=high ]

  * Non-maintainer upload by the Squeeze LTS Team.
  * Add 05-CVE-2014-8137.patch patch.
    CVE-2014-8137: double-free in in jas_iccattrval_destroy(). (#773463)
  * Add 06-CVE-2014-8138.patch patch.
    CVE-2014-8138: heap overflow in jp2_decode(). (#773463)

  [ jasper (1.900.1-7+squeeze2) squeeze-lts; urgency=high ]

  * Non-maintainer upload by the Squeeze LTS Team.
  * Add patch for CVE-2014-9029:
    Fix heap overflows in libjasper.

  [ qt4-x11 (4:4.6.3-4+squeeze2) squeeze-lts; urgency=high ]

  * Non-maintainer upload by the Squeeze LTS Team.
  * CVE-2011-3193:
    Check for buffer overflow in Lookup_MarkMarkPos
    That may cause crash in this function with certain fonts.
  * CVE-2011-3194:
    fix tiff reader to handle TIFFTAG_SAMPLESPERPIXEL for grayscale images
    The reader uses QImage::Format_Indexed8, but since the samples per
    pixel value this should be (non-existent) QImage::Format_Indexed16,
    causing memory corruption. The fix falls back to the "normal" way of
    reading tiff images.
  * debian/rules: do not do "make distclean" as qmake-qt4 disappears before
                  all steps are done

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 16 Jan 2015 20:34:25 +0100

ia32-libs-gtk (20140911) squeeze-lts; urgency=low

  * Packages updated

  [ lua5.1 (5.1.4-5+deb6u1) squeeze-lts; urgency=low ]

  * Non-maintainer upload by the Squeeze LTS Team.
  * Fix stack overflow in vararg functions. (CVE-2014-5461)

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 11 Sep 2014 21:33:43 +0200
