## ia32-libs-gtk 20160228

=== debian/changelog ===
ia32-libs-gtk (20160228) squeeze-lts; urgency=low

  * Packages updated

  [ gtk+2.0 (2.20.1-2+deb6u2) squeeze-lts; urgency=medium ]

  * Non-maintainer upload by the Squeeze LTS Team.
  * Fix CVE-2015-4491: Integer overflow in gdk-pixbuf's pixops/pixops.c
    allowed to execute arbitrary code or cause a DoS via crafted bitmaps of
    specific size.
  * Fix CVE-2015-7673: io-tga.c in gdk-pixbuf was susceptible to a heap
    overflow, allowing remote attackers to cause a DoS or execute arbitrary
    code via a crafted Truevision TGA (TARGA) file.
  * Fix CVE-2015-7674: Heap overflow in gdk-pixbuf when scaling a GIF file.
  * Thanks to Tor Perkins <torp@torp.com>.

  [ gtk+2.0 (2.20.1-2+deb6u1) squeeze-lts; urgency=medium ]

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2013-7447: integer overflow when allocating a large block of
    memory in gdk_cairo_set_source_pixbuf. #799275.

  [ pixman (0.16.4-1+deb6u2) squeeze-lts; urgency=high ]

  * CVE-2014-9766: Fix buffer overflow when creating large images.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 28 Feb 2016 12:04:42 +0100
